#ifndef GE_STATE_UI_H
#define GE_STATE_UI_H


#include "gaim-encryption-config.h"

#include <gdk/gdk.h>
#include <gtk/gtkplug.h>

#include "gtkplugin.h"

#include <gtkdialogs.h>
#include <gaim.h>
#include <log.h>
#include <gtkconv.h>
#include <gtklog.h>
#include <gtkutils.h>

/* this got stripped from gtklog, so it is in here for now: */
struct _GaimGtkLogViewer {
	GList *logs;                 /**< The list of logs viewed in this viewer   */

	GtkWidget        *window;    /**< The viewer's window                      */
	GtkTreeStore     *treestore; /**< The treestore containing said logs       */
	GtkWidget        *treeview;  /**< The treeview representing said treestore */
	GtkWidget        *imhtml;    /**< The imhtml to display said logs          */
	GtkWidget        *entry;     /**< The search entry, in which search terms
	                              *   are entered                              */
	GaimLogReadFlags flags;      /**< The most recently used log flags         */
	char             *search;    /**< The string currently being searched for  */
	GtkWidget        *label;     /**< The label at the top of the log viewer   */
};
typedef struct _GaimGtkLogViewer GaimGtkLogViewer;

void GE_state_ui_init();
void GE_state_ui_delete();

void GE_set_rx_encryption_icon(GaimConversation *c, gboolean encrypted);
void GE_set_tx_encryption_icon(GaimConversation* c, gboolean do_encrypt, gboolean is_capable);

void GE_pixmap_init();
void GE_error_window(const char* message);

void GE_log_displaying_cb(GaimGtkLogViewer *viewer, GaimLog *log, gpointer data);

void GE_remove_decorations(GaimConversation *conv);


void GE_add_smiley(GaimConversation *conv);

#endif
